KnownFolders (JNA API)

com.sun.jna.platform.win32

## Class KnownFolders

- java.lang.Object
- - com.sun.jna.platform.win32.KnownFolders

-     public class KnownFolders
      extends java.lang.Object

  Ported from KnownFolders.h. Microsoft Windows SDK 7.0A.
  Author:
    Martin Steiger

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Guid.GUID` | `FOLDERID_AddNewPrograms`
    `static Guid.GUID` | `FOLDERID_AdminTools`
    `static Guid.GUID` | `FOLDERID_AppUpdates`
    `static Guid.GUID` | `FOLDERID_CDBurning`
    `static Guid.GUID` | `FOLDERID_ChangeRemovePrograms`
    `static Guid.GUID` | `FOLDERID_CommonAdminTools`
    `static Guid.GUID` | `FOLDERID_CommonOEMLinks`
    `static Guid.GUID` | `FOLDERID_CommonPrograms`
    `static Guid.GUID` | `FOLDERID_CommonStartMenu`
    `static Guid.GUID` | `FOLDERID_CommonStartup`
    `static Guid.GUID` | `FOLDERID_CommonTemplates`
    `static Guid.GUID` | `FOLDERID_ComputerFolder`
    `static Guid.GUID` | `FOLDERID_ConflictFolder`
    `static Guid.GUID` | `FOLDERID_ConnectionsFolder`
    `static Guid.GUID` | `FOLDERID_Contacts`
    `static Guid.GUID` | `FOLDERID_ControlPanelFolder`
    `static Guid.GUID` | `FOLDERID_Cookies`
    `static Guid.GUID` | `FOLDERID_Desktop` display name: "Desktop" default path: "C:\Users\<UserName>\Desktop" legacy default path: "C:\Documents and Settings\<userName>\Desktop" legacy CSIDL value: CSIDL_DESKTOP
    `static Guid.GUID` | `FOLDERID_DeviceMetadataStore`
    `static Guid.GUID` | `FOLDERID_Documents`
    `static Guid.GUID` | `FOLDERID_DocumentsLibrary`
    `static Guid.GUID` | `FOLDERID_Downloads`
    `static Guid.GUID` | `FOLDERID_Favorites`
    `static Guid.GUID` | `FOLDERID_Fonts`
    `static Guid.GUID` | `FOLDERID_Games`
    `static Guid.GUID` | `FOLDERID_GameTasks`
    `static Guid.GUID` | `FOLDERID_History`
    `static Guid.GUID` | `FOLDERID_HomeGroup`
    `static Guid.GUID` | `FOLDERID_ImplicitAppShortcuts`
    `static Guid.GUID` | `FOLDERID_InternetCache`
    `static Guid.GUID` | `FOLDERID_InternetFolder`
    `static Guid.GUID` | `FOLDERID_Libraries`
    `static Guid.GUID` | `FOLDERID_Links`
    `static Guid.GUID` | `FOLDERID_LocalAppData`
    `static Guid.GUID` | `FOLDERID_LocalAppDataLow`
    `static Guid.GUID` | `FOLDERID_LocalizedResourcesDir`
    `static Guid.GUID` | `FOLDERID_Music`
    `static Guid.GUID` | `FOLDERID_MusicLibrary`
    `static Guid.GUID` | `FOLDERID_NetHood`
    `static Guid.GUID` | `FOLDERID_NetworkFolder` display name: "Network" legacy display name: "My Network Places" default path: legacy CSIDL value: CSIDL_NETWORK
    `static Guid.GUID` | `FOLDERID_OriginalImages`
    `static Guid.GUID` | `FOLDERID_PhotoAlbums`
    `static Guid.GUID` | `FOLDERID_Pictures`
    `static Guid.GUID` | `FOLDERID_PicturesLibrary`
    `static Guid.GUID` | `FOLDERID_Playlists`
    `static Guid.GUID` | `FOLDERID_PrintersFolder`
    `static Guid.GUID` | `FOLDERID_PrintHood`
    `static Guid.GUID` | `FOLDERID_Profile`
    `static Guid.GUID` | `FOLDERID_ProgramData`
    `static Guid.GUID` | `FOLDERID_ProgramFiles`
    `static Guid.GUID` | `FOLDERID_ProgramFilesCommon`
    `static Guid.GUID` | `FOLDERID_ProgramFilesCommonX64`
    `static Guid.GUID` | `FOLDERID_ProgramFilesCommonX86`
    `static Guid.GUID` | `FOLDERID_ProgramFilesX64`
    `static Guid.GUID` | `FOLDERID_ProgramFilesX86`
    `static Guid.GUID` | `FOLDERID_Programs`
    `static Guid.GUID` | `FOLDERID_Public`
    `static Guid.GUID` | `FOLDERID_PublicDesktop`
    `static Guid.GUID` | `FOLDERID_PublicDocuments`
    `static Guid.GUID` | `FOLDERID_PublicDownloads`
    `static Guid.GUID` | `FOLDERID_PublicGameTasks`
    `static Guid.GUID` | `FOLDERID_PublicLibraries`
    `static Guid.GUID` | `FOLDERID_PublicMusic`
    `static Guid.GUID` | `FOLDERID_PublicPictures`
    `static Guid.GUID` | `FOLDERID_PublicRingtones`
    `static Guid.GUID` | `FOLDERID_PublicVideos`
    `static Guid.GUID` | `FOLDERID_QuickLaunch`
    `static Guid.GUID` | `FOLDERID_Recent`
    `static Guid.GUID` | `FOLDERID_RecordedTVLibrary`
    `static Guid.GUID` | `FOLDERID_RecycleBinFolder`
    `static Guid.GUID` | `FOLDERID_ResourceDir`
    `static Guid.GUID` | `FOLDERID_Ringtones`
    `static Guid.GUID` | `FOLDERID_RoamingAppData`
    `static Guid.GUID` | `FOLDERID_SampleMusic`
    `static Guid.GUID` | `FOLDERID_SamplePictures`
    `static Guid.GUID` | `FOLDERID_SamplePlaylists`
    `static Guid.GUID` | `FOLDERID_SampleVideos`
    `static Guid.GUID` | `FOLDERID_SavedGames`
    `static Guid.GUID` | `FOLDERID_SavedSearches`
    `static Guid.GUID` | `FOLDERID_SEARCH_CSC`
    `static Guid.GUID` | `FOLDERID_SEARCH_MAPI`
    `static Guid.GUID` | `FOLDERID_SearchHome`
    `static Guid.GUID` | `FOLDERID_SendTo`
    `static Guid.GUID` | `FOLDERID_SidebarDefaultParts`
    `static Guid.GUID` | `FOLDERID_SidebarParts`
    `static Guid.GUID` | `FOLDERID_StartMenu`
    `static Guid.GUID` | `FOLDERID_Startup`
    `static Guid.GUID` | `FOLDERID_SyncManagerFolder`
    `static Guid.GUID` | `FOLDERID_SyncResultsFolder`
    `static Guid.GUID` | `FOLDERID_SyncSetupFolder`
    `static Guid.GUID` | `FOLDERID_System`
    `static Guid.GUID` | `FOLDERID_SystemX86`
    `static Guid.GUID` | `FOLDERID_Templates`
    `static Guid.GUID` | `FOLDERID_UserPinned`
    `static Guid.GUID` | `FOLDERID_UserProfiles`
    `static Guid.GUID` | `FOLDERID_UserProgramFiles`
    `static Guid.GUID` | `FOLDERID_UserProgramFilesCommon`
    `static Guid.GUID` | `FOLDERID_UsersFiles`
    `static Guid.GUID` | `FOLDERID_UsersLibraries`
    `static Guid.GUID` | `FOLDERID_Videos`
    `static Guid.GUID` | `FOLDERID_VideosLibrary`
    `static Guid.GUID` | `FOLDERID_Windows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KnownFolders()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FOLDERID_NetworkFolder

          public static final Guid.GUID FOLDERID_NetworkFolder

      - display name: "Network"
      - legacy display name: "My Network Places"
      - default path:
      - legacy CSIDL value: CSIDL_NETWORK

    - #### FOLDERID_ComputerFolder

          public static final Guid.GUID FOLDERID_ComputerFolder

    - #### FOLDERID_InternetFolder

          public static final Guid.GUID FOLDERID_InternetFolder

    - #### FOLDERID_ControlPanelFolder

          public static final Guid.GUID FOLDERID_ControlPanelFolder

    - #### FOLDERID_PrintersFolder

          public static final Guid.GUID FOLDERID_PrintersFolder

    - #### FOLDERID_SyncManagerFolder

          public static final Guid.GUID FOLDERID_SyncManagerFolder

    - #### FOLDERID_SyncSetupFolder

          public static final Guid.GUID FOLDERID_SyncSetupFolder

    - #### FOLDERID_ConflictFolder

          public static final Guid.GUID FOLDERID_ConflictFolder

    - #### FOLDERID_SyncResultsFolder

          public static final Guid.GUID FOLDERID_SyncResultsFolder

    - #### FOLDERID_RecycleBinFolder

          public static final Guid.GUID FOLDERID_RecycleBinFolder

    - #### FOLDERID_ConnectionsFolder

          public static final Guid.GUID FOLDERID_ConnectionsFolder

    - #### FOLDERID_Fonts

          public static final Guid.GUID FOLDERID_Fonts

    - #### FOLDERID_Desktop

          public static final Guid.GUID FOLDERID_Desktop

      - display name: "Desktop"
      - default path: "C:\Users\<UserName>\Desktop"
      - legacy default path: "C:\Documents and Settings\<userName>\Desktop"
      - legacy CSIDL value: CSIDL_DESKTOP

    - #### FOLDERID_Startup

          public static final Guid.GUID FOLDERID_Startup

    - #### FOLDERID_Programs

          public static final Guid.GUID FOLDERID_Programs

    - #### FOLDERID_StartMenu

          public static final Guid.GUID FOLDERID_StartMenu

    - #### FOLDERID_Recent

          public static final Guid.GUID FOLDERID_Recent

    - #### FOLDERID_SendTo

          public static final Guid.GUID FOLDERID_SendTo

    - #### FOLDERID_Documents

          public static final Guid.GUID FOLDERID_Documents

    - #### FOLDERID_Favorites

          public static final Guid.GUID FOLDERID_Favorites

    - #### FOLDERID_NetHood

          public static final Guid.GUID FOLDERID_NetHood

    - #### FOLDERID_PrintHood

          public static final Guid.GUID FOLDERID_PrintHood

    - #### FOLDERID_Templates

          public static final Guid.GUID FOLDERID_Templates

    - #### FOLDERID_CommonStartup

          public static final Guid.GUID FOLDERID_CommonStartup

    - #### FOLDERID_CommonPrograms

          public static final Guid.GUID FOLDERID_CommonPrograms

    - #### FOLDERID_CommonStartMenu

          public static final Guid.GUID FOLDERID_CommonStartMenu

    - #### FOLDERID_PublicDesktop

          public static final Guid.GUID FOLDERID_PublicDesktop

    - #### FOLDERID_ProgramData

          public static final Guid.GUID FOLDERID_ProgramData

    - #### FOLDERID_CommonTemplates

          public static final Guid.GUID FOLDERID_CommonTemplates

    - #### FOLDERID_PublicDocuments

          public static final Guid.GUID FOLDERID_PublicDocuments

    - #### FOLDERID_RoamingAppData

          public static final Guid.GUID FOLDERID_RoamingAppData

    - #### FOLDERID_LocalAppData

          public static final Guid.GUID FOLDERID_LocalAppData

    - #### FOLDERID_LocalAppDataLow

          public static final Guid.GUID FOLDERID_LocalAppDataLow

    - #### FOLDERID_InternetCache

          public static final Guid.GUID FOLDERID_InternetCache

    - #### FOLDERID_Cookies

          public static final Guid.GUID FOLDERID_Cookies

    - #### FOLDERID_History

          public static final Guid.GUID FOLDERID_History

    - #### FOLDERID_System

          public static final Guid.GUID FOLDERID_System

    - #### FOLDERID_SystemX86

          public static final Guid.GUID FOLDERID_SystemX86

    - #### FOLDERID_Windows

          public static final Guid.GUID FOLDERID_Windows

    - #### FOLDERID_Profile

          public static final Guid.GUID FOLDERID_Profile

    - #### FOLDERID_Pictures

          public static final Guid.GUID FOLDERID_Pictures

    - #### FOLDERID_ProgramFilesX86

          public static final Guid.GUID FOLDERID_ProgramFilesX86

    - #### FOLDERID_ProgramFilesCommonX86

          public static final Guid.GUID FOLDERID_ProgramFilesCommonX86

    - #### FOLDERID_ProgramFilesX64

          public static final Guid.GUID FOLDERID_ProgramFilesX64

    - #### FOLDERID_ProgramFilesCommonX64

          public static final Guid.GUID FOLDERID_ProgramFilesCommonX64

    - #### FOLDERID_ProgramFiles

          public static final Guid.GUID FOLDERID_ProgramFiles

    - #### FOLDERID_ProgramFilesCommon

          public static final Guid.GUID FOLDERID_ProgramFilesCommon

    - #### FOLDERID_UserProgramFiles

          public static final Guid.GUID FOLDERID_UserProgramFiles

    - #### FOLDERID_UserProgramFilesCommon

          public static final Guid.GUID FOLDERID_UserProgramFilesCommon

    - #### FOLDERID_AdminTools

          public static final Guid.GUID FOLDERID_AdminTools

    - #### FOLDERID_CommonAdminTools

          public static final Guid.GUID FOLDERID_CommonAdminTools

    - #### FOLDERID_Music

          public static final Guid.GUID FOLDERID_Music

    - #### FOLDERID_Videos

          public static final Guid.GUID FOLDERID_Videos

    - #### FOLDERID_Ringtones

          public static final Guid.GUID FOLDERID_Ringtones

    - #### FOLDERID_PublicPictures

          public static final Guid.GUID FOLDERID_PublicPictures

    - #### FOLDERID_PublicMusic

          public static final Guid.GUID FOLDERID_PublicMusic

    - #### FOLDERID_PublicVideos

          public static final Guid.GUID FOLDERID_PublicVideos

    - #### FOLDERID_PublicRingtones

          public static final Guid.GUID FOLDERID_PublicRingtones

    - #### FOLDERID_ResourceDir

          public static final Guid.GUID FOLDERID_ResourceDir

    - #### FOLDERID_LocalizedResourcesDir

          public static final Guid.GUID FOLDERID_LocalizedResourcesDir

    - #### FOLDERID_CommonOEMLinks

          public static final Guid.GUID FOLDERID_CommonOEMLinks

    - #### FOLDERID_CDBurning

          public static final Guid.GUID FOLDERID_CDBurning

    - #### FOLDERID_UserProfiles

          public static final Guid.GUID FOLDERID_UserProfiles

    - #### FOLDERID_Playlists

          public static final Guid.GUID FOLDERID_Playlists

    - #### FOLDERID_SamplePlaylists

          public static final Guid.GUID FOLDERID_SamplePlaylists

    - #### FOLDERID_SampleMusic

          public static final Guid.GUID FOLDERID_SampleMusic

    - #### FOLDERID_SamplePictures

          public static final Guid.GUID FOLDERID_SamplePictures

    - #### FOLDERID_SampleVideos

          public static final Guid.GUID FOLDERID_SampleVideos

    - #### FOLDERID_PhotoAlbums

          public static final Guid.GUID FOLDERID_PhotoAlbums

    - #### FOLDERID_Public

          public static final Guid.GUID FOLDERID_Public

    - #### FOLDERID_ChangeRemovePrograms

          public static final Guid.GUID FOLDERID_ChangeRemovePrograms

    - #### FOLDERID_AppUpdates

          public static final Guid.GUID FOLDERID_AppUpdates

    - #### FOLDERID_AddNewPrograms

          public static final Guid.GUID FOLDERID_AddNewPrograms

    - #### FOLDERID_Downloads

          public static final Guid.GUID FOLDERID_Downloads

    - #### FOLDERID_PublicDownloads

          public static final Guid.GUID FOLDERID_PublicDownloads

    - #### FOLDERID_SavedSearches

          public static final Guid.GUID FOLDERID_SavedSearches

    - #### FOLDERID_QuickLaunch

          public static final Guid.GUID FOLDERID_QuickLaunch

    - #### FOLDERID_Contacts

          public static final Guid.GUID FOLDERID_Contacts

    - #### FOLDERID_SidebarParts

          public static final Guid.GUID FOLDERID_SidebarParts

    - #### FOLDERID_SidebarDefaultParts

          public static final Guid.GUID FOLDERID_SidebarDefaultParts

    - #### FOLDERID_PublicGameTasks

          public static final Guid.GUID FOLDERID_PublicGameTasks

    - #### FOLDERID_GameTasks

          public static final Guid.GUID FOLDERID_GameTasks

    - #### FOLDERID_SavedGames

          public static final Guid.GUID FOLDERID_SavedGames

    - #### FOLDERID_Games

          public static final Guid.GUID FOLDERID_Games

    - #### FOLDERID_SEARCH_MAPI

          public static final Guid.GUID FOLDERID_SEARCH_MAPI

    - #### FOLDERID_SEARCH_CSC

          public static final Guid.GUID FOLDERID_SEARCH_CSC

    - #### FOLDERID_Links

          public static final Guid.GUID FOLDERID_Links

    - #### FOLDERID_UsersFiles

          public static final Guid.GUID FOLDERID_UsersFiles

    - #### FOLDERID_UsersLibraries

          public static final Guid.GUID FOLDERID_UsersLibraries

    - #### FOLDERID_SearchHome

          public static final Guid.GUID FOLDERID_SearchHome

    - #### FOLDERID_OriginalImages

          public static final Guid.GUID FOLDERID_OriginalImages

    - #### FOLDERID_DocumentsLibrary

          public static final Guid.GUID FOLDERID_DocumentsLibrary

    - #### FOLDERID_MusicLibrary

          public static final Guid.GUID FOLDERID_MusicLibrary

    - #### FOLDERID_PicturesLibrary

          public static final Guid.GUID FOLDERID_PicturesLibrary

    - #### FOLDERID_VideosLibrary

          public static final Guid.GUID FOLDERID_VideosLibrary

    - #### FOLDERID_RecordedTVLibrary

          public static final Guid.GUID FOLDERID_RecordedTVLibrary

    - #### FOLDERID_HomeGroup

          public static final Guid.GUID FOLDERID_HomeGroup

    - #### FOLDERID_DeviceMetadataStore

          public static final Guid.GUID FOLDERID_DeviceMetadataStore

    - #### FOLDERID_Libraries

          public static final Guid.GUID FOLDERID_Libraries

    - #### FOLDERID_PublicLibraries

          public static final Guid.GUID FOLDERID_PublicLibraries

    - #### FOLDERID_UserPinned

          public static final Guid.GUID FOLDERID_UserPinned

    - #### FOLDERID_ImplicitAppShortcuts

          public static final Guid.GUID FOLDERID_ImplicitAppShortcuts

  - ### Constructor Detail

    - #### KnownFolders

          public KnownFolders()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.